<?php
namespace SM\Factory;

use Doctrine\ORM\EntityManager;
use SM\Traits\TQuery;

class Sm00037000MotivoNegociacaoFactory {

    use TQuery;

    protected $connection;

    protected $entityManager;

    public function __construct(EntityManager $entityManager) {
        $this->connection = $entityManager->getConnection();
        $this->entityManager = $entityManager;
    }

    public function getMotivos() {
        $sql = "SELECT NRMOTIVOPARALISACAO, 
                       NRORG, 
                       DSMOTIVOPARALISACAO, 
                       IDATIVO
                  FROM FCT_MOTIVOPARALISACAO";

        return $this->createAndExecuteQueryAndBuildResponseData($this->entityManager, $sql);
    }

    public function salvarMotivos($params) {
        $sql = "INSERT INTO FCT_MOTIVOPARALISACAO(
                    NRMOTIVOPARALISACAO, DSMOTIVOPARALISACAO, NRORG, 
                    IDATIVO,             DTINCLUSAO,          NRORGINCLUSAO,     
                    CDOPERINCLUSAO     
                    
                )
                VALUES (
                    :NRMOTIVOPARALISACAO, :DSMOTIVOPARALISACAO, :NRORG, 
                    :IDATIVO,             SYSDATE,              :NRORGINCLUSAO,          
                    :CDOPERINCLUSAO     
                )";

        $this->connection->executeStatement($sql, $params);
    }

    public function editarMotivos($params) {
        $sql = "UPDATE FCT_MOTIVOPARALISACAO
                   SET IDATIVO             = :IDATIVO, 
                       DSMOTIVOPARALISACAO = :DSMOTIVOPARALISACAO, 
                       NRORGULTATU         = :NRORGULTATU, 
                       CDOPERULTATU        = :CDOPERULTATU,
                       DTULTATU            = SYSDATE
                 WHERE NRMOTIVOPARALISACAO = :NRMOTIVOPARALISACAO";

        $this->connection->executeStatement($sql, $params);
    }

    public function excluirMotivos($parametro) {
        $sql = "DELETE FROM FCT_MOTIVOPARALISACAO
                 WHERE NRMOTIVOPARALISACAO IN (".$parametro.")";

        $this->connection->executeStatement($sql);
    }
}
