/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_PFOR                                                     */
/* Tabela : PRAZOPGTFORN                                                      */
/*                                                                            */
/* Criao:                                                                   */
/* 03/05/2004 - David Moreno Ferreira                                         */
/*                                                                            */
/******************************************************************************/

IF EXISTS(SELECT * FROM sysobjects O, sysusers U
          WHERE
            o.name = 'DTULTATU_PFOR'  and
            type = 'TR'               and
            u.uid = o.uid             and
            u.name = USER)
   DROP TRIGGER DTULTATU_PFOR
GO

CREATE TRIGGER DTULTATU_PFOR
ON PRAZOPGTFORN
FOR INSERT, UPDATE, DELETE
AS
BEGIN
   IF (0 = (SELECT COUNT(*) FROM INSERTED)) BEGIN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
			      (SELECT 'PRAZOPGTFORN', null, 'CDFORNECED='  + CDFORNECED + ';' +
                                           'NRDIASPGTOFO='+ CONVERT(CHAR,NRDIASPGTOFO,103)+ ';', GETDATE() FROM DELETED)
   END
   ELSE BEGIN
      UPDATE PRAZOPGTFORN
      SET DTULTATUPFOR = GETDATE()
      FROM INSERTED
      WHERE (ISNULL(PRAZOPGTFORN.NRDIASPGTOFO,0) = ISNULL(INSERTED.NRDIASPGTOFO,0)) AND
            (ISNULL(PRAZOPGTFORN.VRPERCPGTOFO,0) = ISNULL(INSERTED.VRPERCPGTOFO,0)) AND
            (ISNULL(PRAZOPGTFORN.CDFORNECED,0)   = ISNULL(INSERTED.CDFORNECED,0));
   END;
END;
GO

